## wpewebkit 2.36.1

=== debian/changelog ===
wpewebkit (2.36.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Reduce the number of parallel build jobs on Ubuntu's amd64 (thanks,
      Jeremy Bicha).
    - Re-enable unified builds in Debian/mipsel, the changes from Adrian
      Bunk should be enough to make this build again.

 -- Alberto Garcia <berto@igalia.com>  Fri, 22 Apr 2022 01:04:27 +0200

=== debian/control ===
Source: wpewebkit
Section: libs
Priority: optional
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Alberto Garcia <berto@igalia.com>
Build-Depends: debhelper-compat (= 12),
               bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
               xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
               libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
               cmake (>= 3.10),
               gperf,
               jdupes,
               libatk-bridge2.0-dev,
               libatk1.0-dev,
               libcairo2-dev (>= 1.14.0),
               libepoxy-dev,
               libgbm-dev,
               libgcrypt20-dev (>= 1.7.0),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libharfbuzz-dev (>= 0.9.18),
               libicu-dev,
               libjpeg-dev,
               liblcms2-dev,
               libopenjp2-7-dev (>= 2.2.0),
               libsoup-3.0-dev,
               libsqlite3-dev,
               libsystemd-dev,
               libtasn1-6-dev,
               libwayland-dev,
               libwebp-dev,
               libwoff-dev (>= 1.0.2),
               libwpe-1.0-dev,
               libwpebackend-fdo-1.0-dev,
               libxslt1-dev (>= 1.1.7),
               ninja-build,
               ruby:native,
               wayland-protocols
Build-Depends-Indep: gtk-doc-tools,
               libglib2.0-doc,
               libsoup-3.0-doc
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
Homepage: https://wpewebkit.org/

Package: libwpewebkit-1.0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libwpewebkit-1.0-3 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup2.4-dev,
         libwpe-1.0-dev,
         ${misc:Depends}
Description: Web content engine for embedded devices - development files
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 1.0 of the API and uses libsoup v2 for
 the networking stack.
 .
 This package contains the development files.

Package: libwpewebkit-1.1-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libwpewebkit-1.1-0 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup-3.0-dev,
         libwpe-1.0-dev,
         ${misc:Depends}
Description: Web content engine for embedded devices - development files
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 1.1 of the API and uses libsoup v3 for
 the networking stack.
 .
 This package contains the development files.

Package: libwpewebkit-1.0-3
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         ${bwrap:Depends}
Suggests: libwpebackend-fdo-1.0-1
Description: Web content engine for embedded devices
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 1.0 of the API and uses libsoup v2 for
 the networking stack.
 .
 This package contains the shared libraries.

Package: libwpewebkit-1.1-0
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
         ${bwrap:Depends}
Suggests: libwpebackend-fdo-1.0-1
Description: Web content engine for embedded devices
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This build provides version 1.1 of the API and uses libsoup v3 for
 the networking stack.
 .
 This package contains the shared libraries.

Package: wpewebkit-driver
Architecture: linux-any
Section: web
Depends: ${driver:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: WPE WebKit WebDriver support
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This package provides the WebDriver service implementation.

Package: libwpewebkit-1.0-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: devhelp
Description: Web content engine for embedded devices - documentation
 WebKit is a modern web engine that is able to display content such as
 HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
 XSLT, CSS, JavaScript/ECMAScript and more.
 .
 WPE WebKit is a WebKit port optimized for embedded devices and,
 unlike the GTK port, it does not depend on any particular UI toolkit
 and can be adapted to different use cases. It is designed with
 hardware acceleration in mind, leveraging common 3D graphics APIs for
 best performance.
 .
 This package contains the documentation and is valid for versions 1.0
 and 1.1 of the API.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

# soup2 build -> 1.0 API packages, soup3 build -> 1.1 API packages
USE_SOUP_VERSION=3

EXTRA_DH_ARGUMENTS =
EXTRA_CMAKE_ARGUMENTS =
DH_GENCONTROL_ARGS =

ifeq ($(USE_SOUP_VERSION),2)
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=ON
	EXTRA_DH_ARGUMENTS += \
		-Nlibwpewebkit-1.1-0 \
		-Nlibwpewebkit-1.1-dev
	DH_GENCONTROL_ARGS += -Vdriver:Depends="libwpewebkit-1.0-3 (= \$${binary:Version})"
else
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=OFF
	EXTRA_DH_ARGUMENTS += \
		-Nlibwpewebkit-1.0-3 \
		-Nlibwpewebkit-1.0-dev
	DH_GENCONTROL_ARGS += -Vdriver:Depends="libwpewebkit-1.1-0 (= \$${binary:Version})"
endif

# Sacrifice speed in order to make it more likely resource limits
# won't be hit.
ifeq ($(DEB_BUILD_ARCH_BITS),32)
	EXTRA_CMAKE_ARGUMENTS += -DFORCE_32BIT=ON
	LDFLAGS += -Wl,--no-keep-memory
endif

# The debug packages produced by webkit are huge and cause problems in
# most buildds. Use -g1 in all architectures to make them smaller.
CFLAGS := $(CFLAGS:-g=-g1)

# See https://bugs.webkit.org/show_bug.cgi?id=197192
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_CMAKE_ARGUMENTS += -DWTF_CPU_ARM64_CORTEXA53=OFF
endif

# Disable Gold where it causes build problems, see #949618
ifneq (,$(filter $(DEB_HOST_ARCH),powerpc))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_LD_GOLD=OFF
endif

# Lower memory requirements on mips/mipsel with only 2 GB address space
ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
	CFLAGS := $(CFLAGS:-g1=-g0)
	CFLAGS := $(CFLAGS:-O2=-Os)
	CPPFLAGS += --param ggc-min-expand=10
endif

# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
# and: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93877
ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
	CFLAGS := $(CFLAGS:-O2=-O1)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DUSE_SYSTEM_MALLOC=ON
	CPPFLAGS += -DRELEASE_WITHOUT_OPTIMIZATIONS
endif

ifeq (,$(filter %-doc,$(shell dh_listpackages)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=OFF
else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=OFF
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=ON
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Debug
else
	EXTRA_CMAKE_ARGUMENTS += -DCMAKE_BUILD_TYPE=Release
	CPPFLAGS += -DNDEBUG -DG_DISABLE_CAST_CHECKS
endif

# Disable the bubblewrap sandbox if libseccomp-dev is not available
ifeq ($(shell pkg-config --exists libseccomp && echo yes),yes)
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), xdg-dbus-proxy"
else
	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
endif

# Lower max parallel jobs on some of Ubuntu's builders
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
ifneq (,$(filter $(DEB_HOST_ARCH),arm64))
	EXTRA_DH_ARGUMENTS += --max-parallel=2
endif
endif

CXXFLAGS=$(CFLAGS)

# The debhelper files for the soup2 and soup3 builds are identical
# (apart from the API version) so we generate the latter from the former.
WEBKIT_DH_FILES = \
	libwpewebkit-1.0-3.docs \
	libwpewebkit-1.0-3.install \
	libwpewebkit-1.0-3.lintian-overrides \
	libwpewebkit-1.0-3.symbols \
	libwpewebkit-1.0-dev.install

# This converts debhelper file names and contents to the soup3 versions
WEBKIT_DH_RENAME = sed -e 's/1\.0-3/1.1-0/g' \
		       -e 's/1\.0\.so\.3/1.1.so.0/g' \
		       -e 's/1\.0/1.1/g'

%:
	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)

override_dh_gencontrol:
	dh_gencontrol -- $(DH_GENCONTROL_ARGS)

override_dh_auto_configure:
	if [ "$(USE_SOUP_VERSION)" = "3" ]; then \
		echo debian/clean > debian/clean ; \
		for src in $(WEBKIT_DH_FILES); do \
			dst=`echo $$src | $(WEBKIT_DH_RENAME)` ; \
			$(WEBKIT_DH_RENAME) debian/$$src > debian/$$dst ; \
			echo debian/$$dst >> debian/clean ; \
		done ; \
	fi
	dh_auto_configure -- \
	   -DPORT=WPE \
	   -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) \
	   -DCMAKE_C_FLAGS_RELEASE="" \
	   -DCMAKE_C_FLAGS_DEBUG="" \
	   -DCMAKE_CXX_FLAGS_RELEASE="" \
	   -DCMAKE_CXX_FLAGS_DEBUG="" \
	   -DENABLE_MINIBROWSER=ON \
	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	   -DENABLE_WPE_QT_API=OFF \
	   $(EXTRA_CMAKE_ARGUMENTS)

override_dh_auto_clean:
	dh_auto_clean
	find Source Tools -type f -name "*.pyc" -exec rm {} \;
	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;

# Create dummy doc directories in case the "nodoc" build option is set
override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-1.0
	touch $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-1.0/index.html
	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-webextensions-1.0
	touch $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-webextensions-1.0/index.html
	dh_install
	jdupes -rl $(CURDIR)/debian/libwpewebkit-1.0-doc/usr

override_dh_shlibdeps:
	dh_shlibdeps -XMiniBrowser

override_dh_missing:
	dh_missing --fail-missing

override_dh_builddeb:
	DEB_BUILD_OPTIONS="$(filter-out parallel=%,$(DEB_BUILD_OPTIONS))" \
		dh_builddeb

override_dh_auto_test:

## wpewebkit 2.36.3

=== debian/changelog ===
wpewebkit (2.36.3-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security.
    - This fixes CVE-2022-26700, CVE-2022-26709, CVE-2022-26716,
      CVE-2022-26717, CVE-2022-26719, CVE-2022-30293 and CVE-2022-30294.
  * gcc 10 segfaults when building webkit (see #1008098) so use clang instead.
    - debian/rules: tell CMake to user clang in all arches except i386 and
      mipsel (see ##1010329)
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Tue, 31 May 2022 11:16:18 +0200

wpewebkit (2.36.3-1) unstable; urgency=high

  * New upstream release.
  * debian/rules: lower memory requirements on sh4.
  * Generate debian/control from debian/control.in depending on whether
    we're making the soup2 (1.0 API) or soup3 (1.1 API) build.
    - debian/rules: Add new target to generate debian/control.
  * debian/control.in:
    - Make the -dev package suggest libwpewebkit-1.0-doc

 -- Alberto Garcia <berto@igalia.com>  Mon, 30 May 2022 14:57:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# This file is autogenerated. DO NOT EDIT
 Source: wpewebkit
 Section: libs
 Priority: optional
@@ -7,6 +8,7 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
+               clang [!i386 !mipsel],,
                cmake (>= 3.10),
                gperf,
                jdupes,
@@ -23,7 +25,7 @@
                libjpeg-dev,
                liblcms2-dev,
                libopenjp2-7-dev (>= 2.2.0),
-               libsoup-3.0-dev,
+               libsoup2.4-dev,
                libsqlite3-dev,
                libsystemd-dev,
                libtasn1-6-dev,
@@ -38,7 +40,7 @@
                wayland-protocols
 Build-Depends-Indep: gtk-doc-tools,
                libglib2.0-doc,
-               libsoup-3.0-doc
+               libsoup2.4-doc
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
@@ -54,6 +56,7 @@
          libsoup2.4-dev,
          libwpe-1.0-dev,
          ${misc:Depends}
+Suggests: libwpewebkit-1.0-doc
 Description: Web content engine for embedded devices - development files
  WebKit is a modern web engine that is able to display content such as
  HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
@@ -66,31 +69,6 @@
  best performance.
  .
  This build provides version 1.0 of the API and uses libsoup v2 for
- the networking stack.
- .
- This package contains the development files.
-
-Package: libwpewebkit-1.1-dev
-Section: libdevel
-Architecture: linux-any
-Multi-Arch: same
-Depends: libwpewebkit-1.1-0 (= ${binary:Version}),
-         libglib2.0-dev,
-         libsoup-3.0-dev,
-         libwpe-1.0-dev,
-         ${misc:Depends}
-Description: Web content engine for embedded devices - development files
- WebKit is a modern web engine that is able to display content such as
- HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
- XSLT, CSS, JavaScript/ECMAScript and more.
- .
- WPE WebKit is a WebKit port optimized for embedded devices and,
- unlike the GTK port, it does not depend on any particular UI toolkit
- and can be adapted to different use cases. It is designed with
- hardware acceleration in mind, leveraging common 3D graphics APIs for
- best performance.
- .
- This build provides version 1.1 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the development files.
@@ -113,28 +91,6 @@
  best performance.
  .
  This build provides version 1.0 of the API and uses libsoup v2 for
- the networking stack.
- .
- This package contains the shared libraries.
-
-Package: libwpewebkit-1.1-0
-Architecture: linux-any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends},
-         ${bwrap:Depends}
-Suggests: libwpebackend-fdo-1.0-1
-Description: Web content engine for embedded devices
- WebKit is a modern web engine that is able to display content such as
- HTML, SVG, XML, and others. It also supports DOM, XMLHttpRequest,
- XSLT, CSS, JavaScript/ECMAScript and more.
- .
- WPE WebKit is a WebKit port optimized for embedded devices and,
- unlike the GTK port, it does not depend on any particular UI toolkit
- and can be adapted to different use cases. It is designed with
- hardware acceleration in mind, leveraging common 3D graphics APIs for
- best performance.
- .
- This build provides version 1.1 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the shared libraries.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 # soup2 build -> 1.0 API packages, soup3 build -> 1.1 API packages
-USE_SOUP_VERSION=3
+USE_SOUP_VERSION=2
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS =
@@ -14,16 +14,24 @@
 
 ifeq ($(USE_SOUP_VERSION),2)
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=ON
-	EXTRA_DH_ARGUMENTS += \
-		-Nlibwpewebkit-1.1-0 \
-		-Nlibwpewebkit-1.1-dev
-	DH_GENCONTROL_ARGS += -Vdriver:Depends="libwpewebkit-1.0-3 (= \$${binary:Version})"
+	WK_API_VERSION = 1.0
+	LIBWPEWEBKIT_PKG = libwpewebkit-1.0-3
+	SOUPDEV_PKG = libsoup2.4-dev
+	SOUPDOC_PKG = libsoup2.4-doc
 else
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=OFF
-	EXTRA_DH_ARGUMENTS += \
-		-Nlibwpewebkit-1.0-3 \
-		-Nlibwpewebkit-1.0-dev
-	DH_GENCONTROL_ARGS += -Vdriver:Depends="libwpewebkit-1.1-0 (= \$${binary:Version})"
+	WK_API_VERSION = 1.1
+	LIBWPEWEBKIT_PKG = libwpewebkit-1.1-0
+	SOUPDEV_PKG = libsoup-3.0-dev
+	SOUPDOC_PKG = libsoup-3.0-doc
+endif
+
+# gcc 10 segfaults when building webkit (#1008098) so use clang
+# However in i386 and mipsel clang is the buggy one (#1010329)
+ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
+	EXTRA_CMAKE_ARGUMENTS += \
+	   -DCMAKE_C_COMPILER=clang \
+	   -DCMAKE_CXX_COMPILER=clang++
 endif
 
 # Sacrifice speed in order to make it more likely resource limits
@@ -47,8 +55,8 @@
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_LD_GOLD=OFF
 endif
 
-# Lower memory requirements on mips/mipsel with only 2 GB address space
-ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
+# Lower memory requirements on architectures with only 2 GB address space
+ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel sh4))
 	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-Os)
 	CPPFLAGS += --param ggc-min-expand=10
@@ -111,6 +119,16 @@
 		       -e 's/1\.0\.so\.3/1.1.so.0/g' \
 		       -e 's/1\.0/1.1/g'
 
+debian/control: debian/control.in debian/rules
+	echo '# This file is autogenerated. DO NOT EDIT' > debian/control
+	cat debian/control.in | \
+		sed -e 's/@SOUPDEV_PKG@/$(SOUPDEV_PKG)/g' \
+		    -e 's/@SOUPDOC_PKG@/$(SOUPDOC_PKG)/g' \
+		    -e 's/@WK_API_VERSION@/$(WK_API_VERSION)/g' \
+		    -e 's/@LIBWPEWEBKIT_PKG@/$(LIBWPEWEBKIT_PKG)/g' \
+		    -e 's/@SOUP_VERSION@/$(USE_SOUP_VERSION)/g' \
+		>> debian/control
+
 %:
 	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)
 
@@ -138,7 +156,7 @@
 	   -DENABLE_WPE_QT_API=OFF \
 	   $(EXTRA_CMAKE_ARGUMENTS)
 
-override_dh_auto_clean:
+override_dh_auto_clean: debian/control
 	dh_auto_clean
 	find Source Tools -type f -name "*.pyc" -exec rm {} \;
 	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;

## wpewebkit 2.36.4

=== Source/ThirdParty/gtest/CMakeLists.txt ===
# This is an alternative CMakeLists.txt to the experimental one
# shipped with the original package. It builds only the essential
# for our tests.

set(GTEST_DIR "${THIRDPARTY_DIR}/gtest")

set(GTEST_INCLUDE_DIRECTORIES
    "${GTEST_DIR}"
    "${GTEST_DIR}/include"
)

set(GTEST_SOURCES
    ${GTEST_DIR}/src/gtest.cc
    ${GTEST_DIR}/src/gtest-death-test.cc
    ${GTEST_DIR}/src/gtest-filepath.cc
    ${GTEST_DIR}/src/gtest_main.cc
    ${GTEST_DIR}/src/gtest-matchers.cc
    ${GTEST_DIR}/src/gtest-port.cc
    ${GTEST_DIR}/src/gtest-printers.cc
    ${GTEST_DIR}/src/gtest-test-part.cc
    ${GTEST_DIR}/src/gtest-typed-test.cc
)

set(gtest_DEFINITIONS GTEST_HAS_RTTI=0)

# Additional gtest configuration can be added in the port's cmake file
WEBKIT_INCLUDE_CONFIG_FILES_IF_EXISTS()

# By default use a shared library
if (NOT DEFINED gtest_LIBRARY_TYPE)
    set(gtest_LIBRARY_TYPE SHARED)
endif ()

if (gtest_LIBRARY_TYPE MATCHES SHARED)
    list(APPEND gtest_DEFINITIONS GTEST_CREATE_SHARED_LIBRARY=1)
    add_library(gtest SHARED ${GTEST_SOURCES})
else ()
    list(APPEND gtest_DEFINITIONS GTEST_CREATE_SHARED_LIBRARY=0)
    add_library(gtest STATIC ${GTEST_SOURCES})
endif ()

target_include_directories(gtest PRIVATE ${GTEST_INCLUDE_DIRECTORIES})

WEBKIT_ADD_TARGET_CXX_FLAGS(gtest -Wno-undef
                                  -Wno-stringop-truncation
                                  -Wno-suggest-attribute=format)

if (CMAKE_USE_PTHREADS_INIT)
    target_link_libraries(gtest PRIVATE ${CMAKE_THREAD_LIBS_INIT})
    list(APPEND gtest_DEFINITIONS GTEST_HAS_PTHREAD=1)
else ()
    list(APPEND gtest_DEFINITIONS GTEST_HAS_PTHREAD=0)
endif ()
target_compile_definitions(gtest PRIVATE ${gtest_DEFINITIONS})

add_library(gtestFramework INTERFACE)
target_link_libraries(gtestFramework INTERFACE gtest)
target_include_directories(gtestFramework INTERFACE "${GTEST_DIR}/include")
target_compile_definitions(gtestFramework INTERFACE ${gtest_DEFINITIONS})

add_library(WebKit::gtest ALIAS gtestFramework)

=== debian/changelog ===
wpewebkit (2.36.4-1~deb11u1) bullseye-security; urgency=medium

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit (see #1008098) so use clang instead.
    - debian/rules: tell CMake to user clang in all arches except i386 and
      mipsel (see ##1010329)
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Thu, 14 Jul 2022 13:53:50 +0200

wpewebkit (2.36.4-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0006 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2022-22662 (fixed in 2.36.0).
    - CVE-2022-22677 and CVE-2022-26710 (fixed in 2.36.4).
  * Update format of lintian overrides (see #1007002).
  * debian/control.in:
    - Update Standards-Version to 4.6.1.0 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 06 Jul 2022 15:56:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
-               clang [!i386 !mipsel],,
+               clang [!i386 !mipsel],
                cmake (>= 3.10),
                gperf,
                jdupes,
@@ -41,7 +41,7 @@
 Build-Depends-Indep: gtk-doc-tools,
                libglib2.0-doc,
                libsoup2.4-doc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable

## wpewebkit 2.36.6

=== debian/changelog ===
wpewebkit (2.36.6-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0007 lists the following
    security fixes in the latest versions of WPE WebKit
    - CVE identifiers: CVE-2022-32792, CVE-2022-32816 and CVE-2022-2294
      (fixed in 2.36.5).

 -- Alberto Garcia <berto@igalia.com>  Wed, 10 Aug 2022 17:08:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
-               clang [!i386 !mipsel],
                cmake (>= 3.10),
                gperf,
                jdupes,
@@ -25,7 +24,7 @@
                libjpeg-dev,
                liblcms2-dev,
                libopenjp2-7-dev (>= 2.2.0),
-               libsoup2.4-dev,
+               libsoup-3.0-dev,
                libsqlite3-dev,
                libsystemd-dev,
                libtasn1-6-dev,
@@ -40,20 +39,20 @@
                wayland-protocols
 Build-Depends-Indep: gtk-doc-tools,
                libglib2.0-doc,
-               libsoup2.4-doc
+               libsoup-3.0-doc
 Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
 Homepage: https://wpewebkit.org/
 
-Package: libwpewebkit-1.0-dev
+Package: libwpewebkit-1.1-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwpewebkit-1.0-3 (= ${binary:Version}),
+Depends: libwpewebkit-1.1-0 (= ${binary:Version}),
          libglib2.0-dev,
-         libsoup2.4-dev,
+         libsoup-3.0-dev,
          libwpe-1.0-dev,
          ${misc:Depends}
 Suggests: libwpewebkit-1.0-doc
@@ -68,12 +67,12 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.0 of the API and uses libsoup v2 for
+ This build provides version 1.1 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the development files.
 
-Package: libwpewebkit-1.0-3
+Package: libwpewebkit-1.1-0
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -90,7 +89,7 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.0 of the API and uses libsoup v2 for
+ This build provides version 1.1 of the API and uses libsoup v3 for
  the networking stack.
  .
  This package contains the shared libraries.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 # soup2 build -> 1.0 API packages, soup3 build -> 1.1 API packages
-USE_SOUP_VERSION=2
+USE_SOUP_VERSION=3
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS =
@@ -24,14 +24,6 @@
 	LIBWPEWEBKIT_PKG = libwpewebkit-1.1-0
 	SOUPDEV_PKG = libsoup-3.0-dev
 	SOUPDOC_PKG = libsoup-3.0-doc
-endif
-
-# gcc 10 segfaults when building webkit (#1008098) so use clang
-# However in i386 and mipsel clang is the buggy one (#1010329)
-ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
-	EXTRA_CMAKE_ARGUMENTS += \
-	   -DCMAKE_C_COMPILER=clang \
-	   -DCMAKE_CXX_COMPILER=clang++
 endif
 
 # Sacrifice speed in order to make it more likely resource limits

## wpewebkit 2.38.0

=== debian/changelog ===
wpewebkit (2.38.0-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit (see #1008098) so use clang instead.
    - debian/rules: tell CMake to user clang in all arches except i386 and
      mipsel (see #1010329)
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Tue, 27 Sep 2022 13:20:34 +0200

wpewebkit (2.38.0-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0009 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2022-32891 (fixed in 2.36.5).
    - CVE-2022-32886 and CVE-2022-32912 (fixed in 2.36.8).
  * Refresh all patches.
  * Update copyright information of all files.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/control.in:
    - Replace build dependency on gtk-doc-tools with gi-docgen,
      gobject-introspection and libgirepository1.0-dev.
  * debian/not-installed:
    - Don't install the generated g-i files, at the moment we're only
      using them to build the documentation.
  * debian/libwpewebkit-1.0-doc.doc-base.*:
    - Replace the old doc-base files with wpe-webkit, wpe-javascriptcore
      and wpe-web-extension. Note that we are always shipping the 1.1 API
      docs now, but the package name is still named 1.0-doc to make
      backports easier.
  * debian/libwpewebkit-1.0-doc.{install,links}:
    - Install the docs in /usr/share/gtk-doc and link them from
      /usr/share/doc.
  * debian/rules:
    - Add USE_PREBUILT_DOCS variable to allow using the prebuilt
      documentation included in the upstream tarball when gi-docgen is
      missing.

 -- Alberto Garcia <berto@igalia.com>  Mon, 19 Sep 2022 22:16:34 +0200

wpewebkit (2.36.7-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0008 lists the following
    security fixes in the latest versions of WPE WebKit
    - CVE identifiers: CVE-2022-32893 (fixed in 2.36.7).

 -- Alberto Garcia <berto@igalia.com>  Thu, 25 Aug 2022 14:57:57 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
+               clang [!i386 !mipsel],
                cmake (>= 3.10),
                gperf,
                jdupes,
@@ -24,7 +25,7 @@
                libjpeg-dev,
                liblcms2-dev,
                libopenjp2-7-dev (>= 2.2.0),
-               libsoup-3.0-dev,
+               libsoup2.4-dev,
                libsqlite3-dev,
                libsystemd-dev,
                libtasn1-6-dev,
@@ -37,22 +38,20 @@
                ninja-build,
                ruby:native,
                wayland-protocols
-Build-Depends-Indep: gtk-doc-tools,
-               libglib2.0-doc,
-               libsoup-3.0-doc
+# Build-Depends-Indep: gi-docgen, gobject-introspection, libgirepository1.0-dev, libglib2.0-doc, libsoup-3.0-doc
 Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
 Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
 Homepage: https://wpewebkit.org/
 
-Package: libwpewebkit-1.1-dev
+Package: libwpewebkit-1.0-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: libwpewebkit-1.1-0 (= ${binary:Version}),
+Depends: libwpewebkit-1.0-3 (= ${binary:Version}),
          libglib2.0-dev,
-         libsoup-3.0-dev,
+         libsoup2.4-dev,
          libwpe-1.0-dev,
          ${misc:Depends}
 Suggests: libwpewebkit-1.0-doc
@@ -67,12 +66,12 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.1 of the API and uses libsoup v3 for
+ This build provides version 1.0 of the API and uses libsoup v2 for
  the networking stack.
  .
  This package contains the development files.
 
-Package: libwpewebkit-1.1-0
+Package: libwpewebkit-1.0-3
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -89,7 +88,7 @@
  hardware acceleration in mind, leveraging common 3D graphics APIs for
  best performance.
  .
- This build provides version 1.1 of the API and uses libsoup v3 for
+ This build provides version 1.0 of the API and uses libsoup v2 for
  the networking stack.
  .
  This package contains the shared libraries.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,11 @@
 include /usr/share/dpkg/buildflags.mk
 
 # soup2 build -> 1.0 API packages, soup3 build -> 1.1 API packages
-USE_SOUP_VERSION=3
+USE_SOUP_VERSION=2
+
+# Set to YES to use the docs from the tarball instead of generating them.
+# Use only if gi-docgen is not available.
+USE_PREBUILT_DOCS=NO
 
 EXTRA_DH_ARGUMENTS =
 EXTRA_CMAKE_ARGUMENTS =
@@ -17,13 +21,20 @@
 	WK_API_VERSION = 1.0
 	LIBWPEWEBKIT_PKG = libwpewebkit-1.0-3
 	SOUPDEV_PKG = libsoup2.4-dev
-	SOUPDOC_PKG = libsoup2.4-doc
+	USE_PREBUILT_DOCS=YES
 else
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_SOUP2=OFF
 	WK_API_VERSION = 1.1
 	LIBWPEWEBKIT_PKG = libwpewebkit-1.1-0
 	SOUPDEV_PKG = libsoup-3.0-dev
-	SOUPDOC_PKG = libsoup-3.0-doc
+endif
+
+# gcc 10 segfaults when building webkit (#1008098) so use clang
+# However in i386 and mipsel clang is the buggy one (#1010329)
+ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
+	EXTRA_CMAKE_ARGUMENTS += \
+	   -DCMAKE_C_COMPILER=clang \
+	   -DCMAKE_CXX_COMPILER=clang++
 endif
 
 # Sacrifice speed in order to make it more likely resource limits
@@ -66,11 +77,15 @@
 endif
 
 ifeq (,$(filter %-doc,$(shell dh_listpackages)))
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=OFF
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
+	USE_PREBUILT_DOCS=NO
 else ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=OFF
-else
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_GTKDOC=ON
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
+	USE_PREBUILT_DOCS=NO
+else ifeq ($(USE_PREBUILT_DOCS),YES)
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=OFF -DENABLE_INTROSPECTION=OFF
+else
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_DOCUMENTATION=ON
 endif
 
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
@@ -115,11 +130,13 @@
 	echo '# This file is autogenerated. DO NOT EDIT' > debian/control
 	cat debian/control.in | \
 		sed -e 's/@SOUPDEV_PKG@/$(SOUPDEV_PKG)/g' \
-		    -e 's/@SOUPDOC_PKG@/$(SOUPDOC_PKG)/g' \
 		    -e 's/@WK_API_VERSION@/$(WK_API_VERSION)/g' \
 		    -e 's/@LIBWPEWEBKIT_PKG@/$(LIBWPEWEBKIT_PKG)/g' \
 		    -e 's/@SOUP_VERSION@/$(USE_SOUP_VERSION)/g' \
 		>> debian/control
+ifeq ($(USE_PREBUILT_DOCS),YES)
+	sed -i -e 's/^\(Build-Depends-Indep:\)/# \1/' debian/control
+endif
 
 %:
 	dh $@ --buildsystem=cmake+ninja $(EXTRA_DH_ARGUMENTS)
@@ -153,14 +170,24 @@
 	find Source Tools -type f -name "*.pyc" -exec rm {} \;
 	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;
 
-# Create dummy doc directories in case the "nodoc" build option is set
+# If USE_PREBUILT_DOCS=YES then install them. Otherwise create dummy
+# doc directories in case the "nodoc" build option is set.
 override_dh_install:
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-1.0
-	touch $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-1.0/index.html
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-webextensions-1.0
-	touch $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-webextensions-1.0/index.html
+ifeq ($(USE_PREBUILT_DOCS),YES)
+	mkdir -p debian/tmp/usr/share/gtk-doc/html
+	cp -r Documentation/wpe-webkit-1.1 debian/tmp/usr/share/gtk-doc/html/
+	cp -r Documentation/wpe-web-extension-1.1 debian/tmp/usr/share/gtk-doc/html/
+	cp -r Documentation/wpe-javascriptcore-1.1 debian/tmp/usr/share/gtk-doc/html/
+else
+	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-webkit-1.1
+	touch debian/tmp/usr/share/gtk-doc/html/wpe-webkit-1.1/index.html
+	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-web-extension-1.1
+	touch debian/tmp/usr/share/gtk-doc/html/wpe-web-extension-1.1/index.html
+	mkdir -p debian/tmp/usr/share/gtk-doc/html/wpe-javascriptcore-1.1
+	touch debian/tmp/usr/share/gtk-doc/html/wpe-javascriptcore-1.1/index.html
+endif
 	dh_install
-	jdupes -rl $(CURDIR)/debian/libwpewebkit-1.0-doc/usr
+	jdupes -rl debian/libwpewebkit-1.0-doc/usr
 
 override_dh_shlibdeps:
 	dh_shlibdeps -XMiniBrowser

## wpewebkit 2.38.2

=== debian/changelog ===
wpewebkit (2.38.2-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Tue, 08 Nov 2022 11:07:19 +0100

wpewebkit (2.38.2-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2022-0010 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2022-32888 and CVE-2022-32923 (fixed in 2.38.0).
    - CVE-2022-42799, CVE-2022-42823 and CVE-2022-42824 (fixed in 2.38.2).
  * Refresh all patches.
  * debian/rules:
    - Build with -DENABLE_UNIFIED_BUILDS=OFF on mips, mipsel and sh4, we
      are having problems to build webkit due to lack of memory (#1020642).

 -- Alberto Garcia <berto@igalia.com>  Fri, 04 Nov 2022 21:21:54 +0100

wpewebkit (2.38.1-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Fri, 28 Oct 2022 11:50:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64],
-               clang [!i386 !mipsel],
+               clang [amd64],
                cmake (>= 3.10),
                gperf,
                jdupes,

=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,9 @@
 	SOUPDEV_PKG = libsoup-3.0-dev
 endif
 
-# gcc 10 segfaults when building webkit (#1008098) so use clang
-# However in i386 and mipsel clang is the buggy one (#1010329)
-ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
+# gcc 10 segfaults when building webkit in amd64 (#1008098) so use clang
+# However in i386, mipsel and arm64 clang is the buggy one (#1010329, #1016811)
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
 	EXTRA_CMAKE_ARGUMENTS += \
 	   -DCMAKE_C_COMPILER=clang \
 	   -DCMAKE_CXX_COMPILER=clang++
@@ -63,6 +63,7 @@
 	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-Os)
 	CPPFLAGS += --param ggc-min-expand=10
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_UNIFIED_BUILDS=OFF
 endif
 
 # See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876

## wpewebkit 2.38.3

=== debian/changelog ===
wpewebkit (2.38.3-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye-security.
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Fri, 30 Dec 2022 15:06:44 +0100

wpewebkit (2.38.3-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Sat, 24 Dec 2022 16:38:03 +0100

## wpewebkit 2.38.4

=== debian/changelog ===
wpewebkit (2.38.4-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye-security.
  * The WPE WebKit security advisory WSA-2023-0001 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2022-42826, CVE-2023-23517, CVE-2023-23518 (fixed in 2.38.4).
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Mon, 06 Feb 2023 11:42:42 +0100

wpewebkit (2.38.4-1) unstable; urgency=high

  * New upstream release.
  * Update copyright information of all files.
  * debian/control.in:
    - Update Standards-Version to 4.6.2 (no changes).
  * debian/rules:
    - Build with -DENABLE_JIT=OFF -DENABLE_C_LOOP=ON. This uses the CLoop
      Javascript interpreter in i386 for compatibility with old (non-SSE2)
      CPUs.
    - Explicitly disable lto. This is known to have caused problems in
      WebKitGTK, although it's not a problem for Debian at the moment.

 -- Alberto Garcia <berto@igalia.com>  Thu, 02 Feb 2023 15:28:53 +0100

## wpewebkit 2.38.5

=== debian/changelog ===
wpewebkit (2.38.5-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye-security.
  * The WPE WebKit security advisory WSA-2023-0001 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2022-42826, CVE-2023-23517, CVE-2023-23518 (fixed in 2.38.4).
  * gcc 10 segfaults when building webkit in amd64 (see #1008098) so use
    clang instead. Keep using gcc in other architectures because clang has
    problems in at least i386, arm64 and mipsel (see #1010329 and
    #1016811).
    - debian/rules: Tell CMake to use clang.
    - debian/control.in: Build depend on clang.
  * Use libsoup2 instead of libsoup3:
    - debian/rules: Set USE_SOUP_VERSION=2.

 -- Alberto Garcia <berto@igalia.com>  Thu, 16 Feb 2023 13:39:48 +0100

wpewebkit (2.38.5-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2023-0002 lists the following
    security fixes in the latest versions of WPE WebKit:
    - CVE-2023-23529 (fixed in 2.38.5).

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 Feb 2023 22:52:14 +0100
